com.microfocus.awm.control

## Class PropertyValueComparator

- java.lang.Object
- - com.microfocus.awm.control.PropertyValueComparator

- All Implemented Interfaces:
    java.io.Serializable, java.util.Comparator<IPropertyValue>

      public class PropertyValueComparator
      extends java.lang.Object
      implements java.util.Comparator<IPropertyValue>, java.io.Serializable

  A `Comparator` to compare `IPropertyValue`s. This `Comparator` compares the `IPropertyValue`s based on the `ETypes` of the corresponding `Property`s. The following `ETypes` are supported by this comparator: `ETypes.STRING`, `ETypes.NUMERIC`, `ETypes.BOOLEAN`, `ETypes.DATE`, `ETypes.TIME`.

  If a not supported `ETypes` is used, a `String` compare is used. See `String.compareTo(String)`.

  Author:
    NicolasP
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyValueComparator` | `INSTANCE` The initialized instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyValueComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(IPropertyValue pPropertyValue1, IPropertyValue pPropertyValue2)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### INSTANCE

          public static final PropertyValueComparator INSTANCE

      The initialized instance.

  - ### Constructor Detail

    - #### PropertyValueComparator

          public PropertyValueComparator()

  - ### Method Detail

    - #### compare

          public int compare(IPropertyValue pPropertyValue1,
                             IPropertyValue pPropertyValue2)

      Specified by:
        `compare` in interface `java.util.Comparator<IPropertyValue>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.